Bug 500003

Summary: Review Request: textroom - A full screen rich text editor for writers
Product: [Fedora] Fedora Reporter: Konstantin Ryabitsev <icon>
Component: Package ReviewAssignee: Susi Lehtola <susi.lehtola>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: fedora-package-review, mricon, notting, susi.lehtola
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-08-18 22:48:12 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 201449    

Description Konstantin Ryabitsev 2009-05-09 22:23:35 EDT
Spec URL: http://icon.fedorapeople.org/f/textroom.spec
SRPM URL: http://icon.fedorapeople.org/f/textroom-0.5.3-1.fc10.src.rpm
Description:
TextRoom and all other similar editors share one goal: to get you writing 
right away by providing distraction free environment to your liking, as well 
as familiar set of keyboard shortcuts to control its behavior. If you don't 
feel comfortable already with your editor of choice, you may find it useful.
Comment 1 Susi Lehtola 2009-05-10 07:02:46 EDT
- Install also the other .desktop file that adds the mime type. Remember to add updating of desktop cache as per https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#desktop-database

**

rpmlint output:
textroom.x86_64: W: incoherent-version-in-changelog 0.5.3 ['0.5.3-1.fc10', '0.5.3-1']
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

- You're missing the release -1 from the changelog.


MUST: The spec file for the package is legible and macros are used consistently. OK
MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license. OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. N/A
MUST: Optflags are used and time stamps preserved. OK
MUST: Packages containing shared library files must call ldconfig. N/A
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Debuginfo package is complete. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. OK

MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. NEEDSFIX
- Add CHANGELOG and README to %doc.

MUST: Header files must be in a -devel package. N/A
MUST: Static libraries must be in a -static package. N/A
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. N/A
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. N/A
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. N/A
MUST: Packages does not contain any .la libtool archives. N/A

MUST: Desktop files are installed properly. NEEDSFIX
- Install also the other .desktop file.

MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK
Comment 2 Susi Lehtola 2009-06-08 15:00:27 EDT
ping?
Comment 3 Susi Lehtola 2009-07-05 06:37:44 EDT
ping again?
Comment 4 Konstantin Ryabitsev 2009-07-05 13:42:48 EDT
Yeah, I'll take care of it shortly. I just need to rewrite the mime files to actually work with KDE 4 (the existing ones are obsolete).
Comment 5 Susi Lehtola 2009-07-22 08:36:54 EDT
ping Konstantin
Comment 6 Susi Lehtola 2009-08-16 05:11:45 EDT
ping again
Comment 7 Konstantin Ryabitsev 2009-08-18 22:48:12 EDT
I've decided against maintaining this package.